Bug 451652 - empty messages, errors and warnings
Summary: empty messages, errors and warnings
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: roundcubemail
Version: 9
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Gwyn Ciesla
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-06-16 13:51 UTC by Matthias Haase
Modified: 2008-06-26 08:34 UTC (History)
0 users

Fixed In Version: 0.2-1.alpha.fc8
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-06-26 08:34:00 UTC
Type: ---


Attachments (Terms of Use)

Description Matthias Haase 2008-06-16 13:51:07 UTC
Description of problem:
After updating to latest build 0.2 on Fedora 9 I get errors and warnings

1) PHP Fatal error:  Class 'DOMDocument' not found in
/usr/share/roundcubemail/program/lib/washtml.php

2)  PHP Warning:  include_once(utf8.class.php) [<a
href='function.include-once'>function.include-once</a>]: failed to open stream:
Datei oder Verzeichnis nicht gefunden in
/usr/share/roundcubemail/program/include/iniset.php on line 76,

3) I found curious useless files (for mac os x) packaged.
Version-Release number of selected component (if applicable):
roundcubemail-0.2-0.alpha.fc9.noarch.rpm

How reproducible:
always

Steps to Reproduce:
1. yum install roundcubemail
2.
3.
  
Actual results:
Update or installation of roundcubemail-0.2-0.alpha.fc9.noarch.rpm breaks function.

Expected results:
Update/installation without resulted malfunction. 

Additional info:
to 1)
Package php-xml wasn't installed and should be added to BuildRequires.

to 2)
File roundcubemail/programm/lib/uft8.class.php is simply missed within
the dep tarball.

to 3)
# remove curious mac os x files
find . -name '._*' -print | xargs rm -f

should be added to the spec file.

Comment 1 Gwyn Ciesla 2008-06-16 14:29:58 UTC
Need to Require php-xml and php-mbstring.  Fix coming.

Comment 2 Fedora Update System 2008-06-16 15:28:53 UTC
roundcubemail-0.2-1.alpha.fc9 has been submitted as an update for Fedora 9

Comment 3 Fedora Update System 2008-06-16 15:29:38 UTC
roundcubemail-0.2-1.alpha.fc8 has been submitted as an update for Fedora 8

Comment 4 Fedora Update System 2008-06-18 03:13:52 UTC
roundcubemail-0.2-1.alpha.fc9 has been pushed to the Fedora 9 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update roundcubemail'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F9/FEDORA-2008-5406

Comment 5 Fedora Update System 2008-06-26 08:33:58 UTC
roundcubemail-0.2-1.alpha.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 6 Fedora Update System 2008-06-26 08:34:10 UTC
roundcubemail-0.2-1.alpha.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.